/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __CONFIG_USER_H
#define __CONFIG_USER_H

#include "config/elements.h"
#include "config/node.h"

typedef config::node<irc_channel_config, void> channel_node;
typedef config::node<irc_server_config, channel_node> server_node;
typedef config::node<irc_network_config, server_node> network_node;
typedef config::node<user_config, network_node> user_config_root;

#endif
