/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * logging/levels.h
 * (c) 2007-2008 Murat Deligonul
 **/
 
#ifndef __LOGGING_LEVELS_H
#define __LOGGING_LEVELS_H

namespace logging {

	/**
	 * Logging levels.
	 */
	enum level {
		// adjust these later
		DEBUG,
		FINE,
		NORMAL,
		INFO = NORMAL,
		WARNING,
		SEVERE,
		NONE
	};
}

#endif
